#pragma once
#include <ncurses.h>
#include <vector>
#include <iostream>
#include <stdlib.h>
#include <sys/time.h>
#include "ranking.h"
#include "challenges.h"
#include "StdPijo.h"


using namespace std;
using namespace STDP;

struct Casilla
{
	bool bomba;
	bool pisada;
};

struct Vector2
{
	int x;
	int y;
};

class Tablero
{
	private:
		vector<vector<Casilla> > tablero;
		int anchoTablero;
		int altoTablero;
		int nivel;
		Vector2 posJugador;
		long inicio;
		long transcurrido;
		bool perdido;
		bool victoria;
		bool top;
		bool challenge;
		int puntuacion;
		string jugador;
		
	public:
		Tablero(int ancho=20, int alto=10);
		int ejecutar(Ranking &ranking, Challenges &challenges);
		void mostrar();
		void reiniciar(bool reiniciarPuntuacion);
		void setNivel(int nivel) {this->nivel = nivel;};
		int getNivel() {return nivel;};
		int bombasAlrededor(int x, int y);
		void setJugador(string jugador) {this->jugador = jugador;};
};	
